package com.wd.workoffice.bean.mesBean;

import com.alibaba.fastjson.annotation.JSONField;
import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WokrOrderBean extends BaseMesPageBean {

    private List<ListBean> list;


    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }


    public static class ListBean {
        /**
         * id : 0a062314e35c11ea8334fa163e1166bd
         * createDateTime : 1597979503000
         * updateDateTime : 1597980500000
         * woCode : GD20082100001
         * description : 1
         * locationId : f4765abfdab011ea8334fa163e1166bd
         * assetId : null
         * parentId : null
         * failureCodeId : null
         * questionId : null
         * workType : 2
         * woType : 1
         * status : 5
         * siteId : 076068cfffa211e98334fa163e1166bd
         * shutDown : true
         * shutdownTime : null
         * recoveryTime : null
         * grant : true
         * materiel : true
         * detailedInformation : 1
         * schedStart : null
         * schedFinish : null
         * actStart : null
         * actFinish : null
         * pmCode : null
         * standardOperation : null
         * delete : false
         * createBy : 398c852b38e911ea8334fa163e1166bd
         * changeBy : 398c852b38e911ea8334fa163e1166bd
         * failureCode : null
         * failureName : null
         * questionCode : null
         * questionName : null
         * parentCode : null
         * parentName : null
         * locationCode : HW
         * locationName : 测试
         * assetCode : null
         * assetName : null
         * siteCode : ZW
         * siteName : 正望钢水集团
         * linkedNumberId : 697eccdb9e5f11ea8334fa163e1166bd
         * linkedNumber : DJB2005251003
         * createName : hello
         * procId : 1227505
         * approved : null
         */

        private String id;
        private long createDateTime;
        private long updateDateTime;
        private String woCode;
        private String description;
        private String locationId;
        private String assetId;
        private String parentId;
        private String failureCodeId;
        private String questionId;
        private int workType;
        private int woType;
        private int status;
        private String siteId;
        private boolean shutDown;
        private long shutdownTime;
        private long recoveryTime;
        private boolean grant;
        private boolean materiel;
        private String detailedInformation;
        private long schedStart;
        private long schedFinish;
        private long actStart;
        private long actFinish;
        private String pmCode;
        private String standardOperation;
        private boolean delete;
        private String createBy;
        private String changeBy;
        private String failureCode;
        private String failureName;
        private String questionCode;
        private String questionName;
        private String parentCode;
        private String parentName;
        private String locationCode;
        private String locationName;
        private String assetCode;
        private String assetName;
        private String siteCode;
        private String siteName;
        private String linkedNumberId;
        private String linkedNumber;
        private String createName;
        private String procId;
        private String approved;
        private Integer isSave;
        private String isMyOrder;

        public String getIsMyOrder() {
            return isMyOrder;
        }

        public void setIsMyOrder(String isMyOrder) {
            this.isMyOrder = isMyOrder;
        }

        public Integer getIsSave() {
            return isSave;
        }

        public void setIsSave(Integer isSave) {
            this.isSave = isSave;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getWoCode() {
            return woCode;
        }

        public void setWoCode(String woCode) {
            this.woCode = woCode;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getLocationId() {
            return locationId;
        }

        public void setLocationId(String locationId) {
            this.locationId = locationId;
        }

        public String getAssetId() {
            return assetId;
        }

        public void setAssetId(String assetId) {
            this.assetId = assetId;
        }

        public String getParentId() {
            return parentId;
        }

        public void setParentId(String parentId) {
            this.parentId = parentId;
        }

        public String getFailureCodeId() {
            return failureCodeId;
        }

        public void setFailureCodeId(String failureCodeId) {
            this.failureCodeId = failureCodeId;
        }

        public String getQuestionId() {
            return questionId;
        }

        public void setQuestionId(String questionId) {
            this.questionId = questionId;
        }

        public int getWorkType() {
            return workType;
        }

        public void setWorkType(int workType) {
            this.workType = workType;
        }

        public int getWoType() {
            return woType;
        }

        public void setWoType(int woType) {
            this.woType = woType;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getSiteId() {
            return siteId;
        }

        public void setSiteId(String siteId) {
            this.siteId = siteId;
        }

        public boolean isShutDown() {
            return shutDown;
        }

        public void setShutDown(boolean shutDown) {
            this.shutDown = shutDown;
        }

        public long getShutdownTime() {
            return shutdownTime;
        }

        public void setShutdownTime(long shutdownTime) {
            this.shutdownTime = shutdownTime;
        }

        public long getRecoveryTime() {
            return recoveryTime;
        }

        public void setRecoveryTime(long recoveryTime) {
            this.recoveryTime = recoveryTime;
        }

        public boolean isGrant() {
            return grant;
        }

        public void setGrant(boolean grant) {
            this.grant = grant;
        }

        public boolean isMateriel() {
            return materiel;
        }

        public void setMateriel(boolean materiel) {
            this.materiel = materiel;
        }

        public String getDetailedInformation() {
            return detailedInformation;
        }

        public void setDetailedInformation(String detailedInformation) {
            this.detailedInformation = detailedInformation;
        }

        public long getSchedStart() {
            return schedStart;
        }

        public void setSchedStart(long schedStart) {
            this.schedStart = schedStart;
        }

        public long getSchedFinish() {
            return schedFinish;
        }

        public void setSchedFinish(long schedFinish) {
            this.schedFinish = schedFinish;
        }

        public Long getActStart() {
            return actStart;
        }

        public void setActStart(Long actStart) {
            this.actStart = actStart;
        }

        public long getActFinish() {
            return actFinish;
        }

        public void setActFinish(long actFinish) {
            this.actFinish = actFinish;
        }

        public String getPmCode() {
            return pmCode;
        }

        public void setPmCode(String pmCode) {
            this.pmCode = pmCode;
        }

        public String getStandardOperation() {
            return standardOperation;
        }

        public void setStandardOperation(String standardOperation) {
            this.standardOperation = standardOperation;
        }

        public boolean isDelete() {
            return delete;
        }

        public void setDelete(boolean delete) {
            this.delete = delete;
        }

        public String getCreateBy() {
            return createBy;
        }

        public void setCreateBy(String createBy) {
            this.createBy = createBy;
        }

        public String getChangeBy() {
            return changeBy;
        }

        public void setChangeBy(String changeBy) {
            this.changeBy = changeBy;
        }

        public String getFailureCode() {
            return failureCode;
        }

        public void setFailureCode(String failureCode) {
            this.failureCode = failureCode;
        }

        public String getFailureName() {
            return failureName;
        }

        public void setFailureName(String failureName) {
            this.failureName = failureName;
        }

        public String getQuestionCode() {
            return questionCode;
        }

        public void setQuestionCode(String questionCode) {
            this.questionCode = questionCode;
        }

        public String getQuestionName() {
            return questionName;
        }

        public void setQuestionName(String questionName) {
            this.questionName = questionName;
        }

        public String getParentCode() {
            return parentCode;
        }

        public void setParentCode(String parentCode) {
            this.parentCode = parentCode;
        }

        public String getParentName() {
            return parentName;
        }

        public void setParentName(String parentName) {
            this.parentName = parentName;
        }

        public String getLocationCode() {
            return locationCode;
        }

        public void setLocationCode(String locationCode) {
            this.locationCode = locationCode;
        }

        public String getLocationName() {
            return locationName;
        }

        public void setLocationName(String locationName) {
            this.locationName = locationName;
        }

        public String getAssetCode() {
            return assetCode;
        }

        public void setAssetCode(String assetCode) {
            this.assetCode = assetCode;
        }

        public String getAssetName() {
            return assetName;
        }

        public void setAssetName(String assetName) {
            this.assetName = assetName;
        }

        public String getSiteCode() {
            return siteCode;
        }

        public void setSiteCode(String siteCode) {
            this.siteCode = siteCode;
        }

        public String getSiteName() {
            return siteName;
        }

        public void setSiteName(String siteName) {
            this.siteName = siteName;
        }

        public String getLinkedNumberId() {
            return linkedNumberId;
        }

        public void setLinkedNumberId(String linkedNumberId) {
            this.linkedNumberId = linkedNumberId;
        }

        public String getLinkedNumber() {
            return linkedNumber;
        }

        public void setLinkedNumber(String linkedNumber) {
            this.linkedNumber = linkedNumber;
        }

        public String getCreateName() {
            return createName;
        }

        public void setCreateName(String createName) {
            this.createName = createName;
        }

        public String getProcId() {
            return procId;
        }

        public void setProcId(String procId) {
            this.procId = procId;
        }

        public String getApproved() {
            return approved;
        }

        public void setApproved(String approved) {
            this.approved = approved;
        }
    }
}